Get the notifications of a project

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/projects/{project_id}/notifications

Get the notifications of the tasks of a project. Synchronization tools use this route. You must be an administrator.

Path parameters

  • project_id string(uuid) Required

    Unique identifier of the project

Query parameters

  • page integer

    Page to get. Without page, the route returns the full list.

  • limit integer

    Number of rows in a page, or in a request of a cursor walk

  • cursor_id string(uuid)

    Without page, id of the last row of the previous request. With limit, it walks the whole list from the newest created row to the oldest, request after request, until one returns fewer rows than limit

Responses

  • 200 application/json

    Without page, the list of notifications. With page, an object with data, total, nb_pages, limit, offset and page.

    Hide response attributes Show response attributes object
    • data array[object]
      Hide data attributes Show data attributes object
      • id string(uuid)
      • person_id string(uuid)
      • task_id string(uuid)
      • comment_id string(uuid)
      • notification_type string
      • created_at string(date-time)
      • updated_at string(date-time)
    • limit integer
    • page integer
    • total integer
    • nb_pages integer
    • offset integer
  • 403

    You are not an administrator

  • 404

    The project does not exist

GET /data/projects/{project_id}/notifications
curl -X GET "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/notifications" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/notifications"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
{
  "data": [
    {
      "id": "a24a6ea4-ce75-4665-a070-57453082c250",
      "person_id": "b24a6ea4-ce75-4665-a070-57453082c250",
      "task_id": "c24a6ea4-ce75-4665-a070-57453082c250",
      "comment_id": "d24a6ea4-ce75-4665-a070-57453082c250",
      "notification_type": "assignment",
      "created_at": "2024-01-15T10:30:00Z",
      "updated_at": "2024-01-15T11:00:00Z"
    }
  ],
  "limit": 100,
  "page": 1,
  "total": 42,
  "nb_pages": 42,
  "offset": 42
}